Bug 1197699 - publican-4.2.6-1.fc23 FTBFS: validity:513 in Users_Guide.xml on line 118: ID info-Publican-Users_Guide-Important already defined
Summary: publican-4.2.6-1.fc23 FTBFS: validity:513 in Users_Guide.xml on line 118: ID ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: publican
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jeff Fearn 🐞
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1231907 (view as bug list)
Depends On: 1199396
Blocks: F23FTBFS 1239807
TreeView+ depends on / blocked
 
Reported: 2015-03-02 12:30 UTC by Petr Pisar
Modified: 2016-11-25 00:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-25 00:38:00 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Pisar 2015-03-02 12:30:16 UTC
publican-4.2.6-1.fc23 fails to build in F23:

++ pwd
+ dir=/builddir/build/BUILD/Publican-v4.2.6
+ cd Users_Guide
+ XML_CATALOG_FILES=/builddir/build/BUILD/Publican-v4.2.6/catalog
+ /usr/bin/perl -CDAS -I /builddir/build/BUILD/Publican-v4.2.6/blib/lib /builddir/build/BUILD/Publican-v4.2.6/blib/script/publican build --formats=html-desktop --publish --langs=en-US --common_config=/builddir/build/BUILD/Publican-v4.2.6/blib/datadir --common_content=/builddir/build/BUILD/Publican-v4.2.6/blib/datadir/Common_Content --nocolours
FATAL ERROR 3: validity:513 in Users_Guide.xml on line 118: ID info-Publican-Users_Guide-Important already defined
 at /builddir/build/BUILD/Publican-v4.2.6/blib/script/publican line 1223.

Difference between working and failing build root:

        gettext 	0.19.2-5.fc22 	> 	0.19.3-1.fc22
        perl-Test-Simple 	1.001006-1.fc22 	> 	1.001008-1.fc22
        libxml2 	2.9.1-5.fc22 	> 	2.9.2-1.fc22 	
	gettext-libs 	0.19.2-5.fc22 	> 	0.19.3-1.fc22 	
	file-libs 	5.19-6.fc22 	> 	5.20-1.fc22 	
	file 	5.19-6.fc22 	> 	5.20-1.fc22 	
	kernel-headers 	3.18.0-0.rc0.git8.1.... 	> 	3.18.0-0.rc0.git9.1....

Comment 1 Jeff Fearn 🐞 2015-03-02 22:33:27 UTC
There appears to be two issues here:

1: there are duplicate xml:id attrs in the PUG (see BZ #1197523)

2: libxml2 appears to be failing with the duplicate ID error even when there aren't duplicate IDs. Set Needinfo for ptravis who was going to open a bug about that.

Comment 2 Pete Travis 2015-03-06 06:38:57 UTC
I've filed https://bugzilla.redhat.com/show_bug.cgi?id=1199396 for this issue.

Comment 3 Petr Pisar 2015-07-07 14:43:02 UTC
*** Bug 1231907 has been marked as a duplicate of this bug. ***

Comment 4 Jan Kurik 2015-07-15 14:27:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 5 Petr Pisar 2016-03-01 08:43:31 UTC
publican-4.3.2-1.fc23 disabled the tests.

Comment 6 Fedora End Of Life 2016-11-24 11:30:56 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Petr Pisar 2016-11-24 12:46:12 UTC
The tests are still disabled.

Comment 8 Jeff Fearn 🐞 2016-11-25 00:38:00 UTC
Re-enabled tests and it builds fine now.

http://koji.fedoraproject.org/koji/taskinfo?taskID=16605987


Note You need to log in before you can comment on or make changes to this bug.